// SmtpSetupDlg.cpp : implementation file
//

#include "stdafx.h"
#include "smtp.h"
#include "SmtpSetupDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// SmtpSetupDlg dialog


SmtpSetupDlg::SmtpSetupDlg(CWnd* pParent /*=NULL*/)
	: CDialog(SmtpSetupDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(SmtpSetupDlg)
	m_From = _T("");
	m_SmtpServer = _T("");
	m_Subject = _T("");
	m_MailTo = _T("");
	//}}AFX_DATA_INIT
}


void SmtpSetupDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(SmtpSetupDlg)
	DDX_Text(pDX, IDC_EDIT_FROM, m_From);
	DDX_Text(pDX, IDC_EDIT_SMTP, m_SmtpServer);
	DDX_Text(pDX, IDC_EDIT_SUBJECT, m_Subject);
	DDX_Text(pDX, IDC_EDIT_TO, m_MailTo);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(SmtpSetupDlg, CDialog)
	//{{AFX_MSG_MAP(SmtpSetupDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// SmtpSetupDlg message handlers

BOOL SmtpSetupDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	// TODO: Add extra initialization here
	m_SmtpServer = AfxGetApp() -> GetProfileString(_T("SETUP"), _T("SMTPSERVER"), _T("public.sta.net.cn"));
	m_From = AfxGetApp() -> GetProfileString(_T("SETUP"), _T("FROM"), _T("jognsa@usa.net"));
	m_MailTo = AfxGetApp() -> GetProfileString(_T("SETUP"), _T("TO"), _T("jognsa@usa.net"));
	m_Subject = AfxGetApp() -> GetProfileString(_T("SETUP"), _T("SUBJECT"), _T("MailEx! "));
	UpdateData(FALSE);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
